aboutsummaryrefslogtreecommitdiff
path: root/package/libgtk2
diff options
context:
space:
mode:
Diffstat (limited to 'package/libgtk2')
-rw-r--r--package/libgtk2/S26libgtk219
-rw-r--r--package/libgtk2/libgtk2.mk4
2 files changed, 23 insertions, 0 deletions
diff --git a/package/libgtk2/S26libgtk2 b/package/libgtk2/S26libgtk2
new file mode 100644
index 0000000000..48e996d1ef
--- /dev/null
+++ b/package/libgtk2/S26libgtk2
@@ -0,0 +1,19 @@
+#!/bin/sh
+#
+# run pgdk-pixbuf-query-loaders if needed
+
+FILE=/etc/gtk-2.0/gdk-pixbuf.loaders
+
+case "$1" in
+ start|"")
+ if [ ! -f "$FILE" ] ; then
+ /usr/bin/gdk-pixbuf-query-loaders > "$FILE"
+ fi
+ ;;
+ stop)
+ ;;
+ *)
+ echo "Usage: $0 {start|stop}" >&2
+ exit 1
+ ;;
+esac
diff --git a/package/libgtk2/libgtk2.mk b/package/libgtk2/libgtk2.mk
index 38926455f4..0d228ed7f2 100644
--- a/package/libgtk2/libgtk2.mk
+++ b/package/libgtk2/libgtk2.mk
@@ -123,3 +123,7 @@ LIBGTK2_CONF_OPT += --disable-cups
endif
$(eval $(call AUTOTARGETS,package,libgtk2))
+
+$(LIBGTK2_HOOK_POST_INSTALL):
+ $(INSTALL) -m 755 package/libgtk2/S26libgtk2 $(TARGET_DIR)/etc/init.d/
+ touch $@